import { Component } from '@angular/core';
import {
 FormBuilder,
 FormGroup,
 Validators,
} from '@angular/forms';
import { AppValidators } from './app.validators';

@Component({
 selector: 'app-root',
 templateUrl: 'app.component.html',
})
export class AppComponent {
 form: FormGroup;

 get cpf() {
  return this.form.get('cpf')!;
 }

 get telefone() {
  return this.form.get('telefone')!;
 }

 get ip() {
  return this.form.get('ip')!;
 }

 get data() {
  return this.form.get('data')!;
 }

 constructor(formBuilder: FormBuilder) {
  this.form = formBuilder.nonNullable.group({
   cpf: ['', [Validators.required, AppValidators.isCPF]],
   telefone: ['', [Validators.required]],
   ip: ['', [Validators.required]],
   data: [
    '',
    [
     Validators.required,
     AppValidators.minDate(
      new Date('2023-11-01T00:00:00.000-0300')
     ),
    ],
   ],
  });
 }
}
